Loading...
Searching...
No Matches
BetterEnums.h File Reference

Go to the source code of this file.

## Macros

#define | BETTER_ENUM(Enum, Underlying, ...)
#define | BETTER_ENUM_CLASS(Enum, Underlying, ...)

## Macro Definition Documentation

## BETTER_ENUM

#define BETTER_ENUM | ( |  | Enum,
|  |  | Underlying,
|  |  | ... )

Value:
enum Enum : Underlying { __VA_ARGS__ }

Definition at line 17 of file BetterEnums.h.

## BETTER_ENUM_CLASS

#define BETTER_ENUM_CLASS | ( |  | Enum,
|  |  | Underlying,
|  |  | ... )

Value:
enum class Enum : Underlying { __VA_ARGS__ }

Definition at line 18 of file BetterEnums.h.